> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List brokerage firm derogations



## OpenAPI

````yaml /openapi.json post /view-specific/{brokerageFirmId}/derogations
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /view-specific/{brokerageFirmId}/derogations:
    post:
      tags:
        - view-specific
      summary: List brokerage firm derogations
      operationId: ViewSpecificController_listBrokerageFirmDerogations
      parameters:
        - name: brokerageFirmId
          required: true
          in: path
          schema:
            type: string
        - name: count
          required: false
          in: query
          description: the number of items to return
          schema:
            default: 10
            type: number
        - name: page
          required: false
          in: query
          description: the page to retrieve
          schema:
            default: 1
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListBrokerageFirmDerogationsInputBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListBrokerageFirmDerogationsOutput'
components:
  schemas:
    ListBrokerageFirmDerogationsInputBody:
      type: object
      properties:
        statuses:
          type: array
          items:
            type: string
            enum:
              - PENDING
              - DECLINED
              - APPROVED
              - CREATED
              - APPROVED
              - DENIED
        brokerageFirmName:
          type: string
          description: Brokerage firm name
        queryString:
          type: string
          description: Full text search
        productIds:
          description: Product ids
          type: array
          items:
            type: string
    ListBrokerageFirmDerogationsOutput:
      type: object
      properties:
        data:
          description: the list of items in the page
          type: array
          items:
            $ref: '#/components/schemas/DerogationWithPolicyAndCustomerEntity'
        pageInfo:
          description: the page info
          allOf:
            - $ref: '#/components/schemas/ResponsePageInfo'
        totalCount:
          type: number
          description: the total number of items
        currentPage:
          type: number
          description: the current page
        totalPages:
          type: number
          description: the total number of pages
      required:
        - data
        - pageInfo
        - totalCount
        - currentPage
        - totalPages
    DerogationWithPolicyAndCustomerEntity:
      type: object
      properties:
        derogation:
          description: Derogation
          allOf:
            - $ref: '#/components/schemas/OldDerogationDto'
        customers:
          description: Customers
          type: array
          items:
            $ref: '#/components/schemas/CustomerDto'
        policy:
          description: Policy
          allOf:
            - $ref: '#/components/schemas/PolicyDto'
        hasOpenedClientAccount:
          type: boolean
        brokerageFirm:
          $ref: '#/components/schemas/SimplifiedBrokerageFirmDto'
        branch:
          $ref: '#/components/schemas/PolicyBranchDto'
      required:
        - customers
        - policy
        - hasOpenedClientAccount
    ResponsePageInfo:
      type: object
      properties:
        first:
          type: boolean
          description: whether this is the first page
        last:
          type: boolean
          description: whether this is the last page
    OldDerogationDto:
      type: object
      properties:
        id:
          type: string
        status:
          type: string
          enum:
            - PENDING
            - DECLINED
            - APPROVED
        policyId:
          type: string
        branchId:
          type: string
        createdAt:
          type: string
      required:
        - id
        - status
        - policyId
        - branchId
        - createdAt
    CustomerDto:
      type: object
      properties:
        customFields:
          description: custom fields per product
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDto'
        name:
          type: string
          description: 'Optional: Name of the entity'
        type:
          type: string
          description: Type of the customer
        id:
          type: string
          description: Unique identifier for the customer
        createdAt:
          type: string
          description: Date and time when the customer was created
        lastModifiedAt:
          type: string
          description: Date and time when the customer was last modified
        status:
          type: string
          description: Status of the customer
          enum:
            - CUSTOMER_CREATED
            - CUSTOMER_CONFIRMED
        policies:
          description: Policies associated with the customer
          type: array
          items:
            type: string
        invoices:
          description: Array of invoice identifiers associated with the customer
          type: array
          items:
            type: string
        role:
          type: string
          description: Customer business role
        preferredPaymentMethodId:
          type: string
          description: 'Optional: Preferred payment method of the customer'
        paymentMode:
          type: string
          enum:
            - DIRECT_DEBIT
            - BANK_TRANSFER
      required:
        - type
        - id
        - createdAt
        - lastModifiedAt
        - status
        - policies
        - invoices
        - role
        - paymentMode
    PolicyDto:
      type: object
      properties:
        claimsHistory:
          description: Claims history
          type: array
          items:
            $ref: '#/components/schemas/ClaimsHistory'
        customFields:
          description: custom fields per product
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDto'
        name:
          type: string
          description: 'Optional: Name of the entity'
        owners:
          description: Owners of the entity
          deprecated: true
          type: array
          items:
            $ref: '#/components/schemas/OwnerDto'
        type:
          type: string
          description: Entity type
        id:
          type: string
          description: Unique identifier for the policy
        parent:
          type: string
          description: Unique identifier for the parent policy
        brokerageFirm:
          type: string
          description: Unique identifier for the brokerage firm
        productId:
          type: string
          description: Product ID
        incrementalId:
          type: number
          description: Incremental policy id
        externalId:
          type: string
          description: External policy id
        createdAt:
          type: string
          description: Date and time when the policy was created
        lastModifiedAt:
          type: string
          description: Date and time when the policy was last modified
        status:
          type: string
          description: Status of the policy
          enum:
            - POLICY_CREATED
            - POLICY_QUOTED
            - POLICY_CONFIRMED
            - POLICY_STARTED
            - POLICY_STOPPED
            - POLICY_SUSPENDED
        branchType:
          type: string
          description: Type of branch associated with the policy
          enum:
            - BASE
            - NEW_BUSINESS
            - MTA
            - RENEWAL
            - REPRICING
        author:
          description: Author of the policy
          allOf:
            - $ref: '#/components/schemas/BrokerDto'
        signedAt:
          type: string
          description: Date and time when the policy was signed
        startedAt:
          type: string
          description: Date and time when the policy started
        endedAt:
          type: string
          description: Date and time when the policy will end
        stoppedAt:
          type: string
          description: Date and time when the policy stopped
        suspendedAt:
          type: string
          description: Date and time when the policy  was suspended
        reactivatedAt:
          type: string
          description: Date and time when the policy was reactivated after suspension
        assets:
          description: Array of asset identifiers associated with the policy
          type: array
          items:
            type: string
        customers:
          description: Identifiers of the customers associated with the policy
          type: array
          items:
            type: string
        periodDuration:
          description: Policy period duration
          allOf:
            - $ref: '#/components/schemas/Duration'
        invoicingConfig:
          description: Nested DTO for invoicing configuration
          allOf:
            - $ref: '#/components/schemas/InvoicingConfigDto'
        acceptedEmailDomains:
          description: Accepted Email Domains
          type: array
          items:
            type: string
        acceptedQuoteOptions:
          $ref: '#/components/schemas/AcceptedQuoteOptionsDto'
        additionalQuoteComponents:
          $ref: '#/components/schemas/QuoteComponentDto'
        quote:
          description: policy quote
          allOf:
            - $ref: '#/components/schemas/PolicyQuoteDto'
        proratedQuote:
          description: Prorated policy quote based on the invoicing frequency of the policy
          allOf:
            - $ref: '#/components/schemas/PolicyQuoteDto'
        maximumNumberOfBikes:
          type: number
          description: max number of bike
        selectedTier:
          type: object
          description: Selected pricing tier with perils and breakdown
        stop:
          description: stop reason, details and createdAt
          allOf:
            - $ref: '#/components/schemas/StopDto'
        brokerageFees:
          description: Brokerage fees
          type: array
          items:
            $ref: '#/components/schemas/BrokerageFeeOnPolicy'
      required:
        - claimsHistory
        - owners
        - type
        - id
        - productId
        - createdAt
        - lastModifiedAt
        - status
        - assets
        - customers
        - periodDuration
        - invoicingConfig
    SimplifiedBrokerageFirmDto:
      type: object
      properties:
        customFields:
          description: custom fields per product
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDto'
        firmType:
          type: string
          description: Brokerage firm type
          enum:
            - WHOLESALE
            - RETAIL
            - TEAM
        id:
          type: string
          description: Brokerage firm id
        companyInfo:
          description: Company info
          allOf:
            - $ref: '#/components/schemas/FormattedSirenDataDto'
      required:
        - firmType
        - id
        - companyInfo
    PolicyBranchDto:
      type: object
      properties:
        branchId:
          type: string
        createdAt:
          type: string
          description: Creation date of the branch
        renewalStatus:
          type: string
          description: 'Optional: Branch renewal status'
          enum:
            - RENEWAL_ACCEPTED
            - RENEWAL_REFUSED
        branchType:
          type: string
          enum:
            - BASE
            - NEW_BUSINESS
            - MTA
            - RENEWAL
            - REPRICING
        branchSubType:
          description: 'Optional: Branch sub type'
          allOf:
            - $ref: '#/components/schemas/BranchSubType'
        availability:
          type: string
          enum:
            - BRANCH_OPEN
            - BRANCH_MERGED
            - BRANCH_CLOSED
        closeReason:
          type: string
          description: 'Optional: Branch close reason'
          enum:
            - BROKER_REQUEST
            - CUSTOMER_REQUEST
            - FORKED
            - ASSET_START_PASSED
            - CONCURRENT_BRANCH_MERGED
            - QUOTE_INVALIDATED
            - PARTITION_DROPPED
            - RENEWAL_REFUSED
            - CRM_ABOVE_LIMIT
            - TELEMATICS_SCORE_MISSING
        mergedAt:
          type: string
          description: 'Optional: Merge date of the branch'
        derogations:
          description: 'Optional: Branch derogations'
          type: array
          items:
            $ref: '#/components/schemas/DerogationDto'
      required:
        - branchId
        - createdAt
        - branchType
    CustomFieldDto:
      type: object
      properties:
        key:
          type: string
        value:
          oneOf:
            - type: string
            - type: number
            - type: boolean
      required:
        - key
        - value
    ClaimsHistory:
      type: object
      properties:
        year:
          type: number
          description: Year of the claim
        claimsNumber:
          type: number
          description: Number of claims
        fleetSize:
          type: number
          description: Fleet size
      required:
        - year
        - claimsNumber
        - fleetSize
    OwnerDto:
      type: object
      properties:
        userId:
          type: string
        email:
          type: string
        roles:
          type: array
          items:
            $ref: '#/components/schemas/OwnerRoleDto'
      required:
        - userId
        - email
        - roles
    BrokerDto:
      type: object
      properties:
        firstName:
          type: string
          description: First name
        lastName:
          type: string
          description: Last name
        userId:
          type: string
          description: User id
        email:
          type: string
        brokerRole:
          type: string
      required:
        - firstName
        - lastName
        - userId
    Duration:
      type: object
      properties:
        amount:
          type: number
        unit:
          type: string
          enum:
            - YEAR
            - MONTH
            - WEEK
            - DAY
            - HOUR
            - MINUTE
            - SECOND
      required:
        - amount
        - unit
    InvoicingConfigDto:
      type: object
      properties:
        frequency:
          allOf:
            - $ref: '#/components/schemas/InvoiceFrequency'
        timing:
          allOf:
            - $ref: '#/components/schemas/InvoiceTiming'
        billAtSignature:
          allOf:
            - $ref: '#/components/schemas/BillAtSignatureType'
        earlyPayment:
          $ref: '#/components/schemas/Duration'
      required:
        - frequency
        - timing
        - billAtSignature
    AcceptedQuoteOptionsDto:
      type: object
      properties:
        defaultConfig:
          $ref: '#/components/schemas/QuoteChosenOptionsDto'
        availableConfigs:
          type: array
          items:
            $ref: '#/components/schemas/QuoteAvailableOptionsDto'
      required:
        - availableConfigs
    QuoteComponentDto:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - PREMIUM
            - PERIL
            - FEE
            - TAX
            - SPECIAL
        premium:
          $ref: '#/components/schemas/AmountDto'
        chargeType:
          type: string
          description: Charge type of component
          enum:
            - ONE_TIME
            - SPOT
            - RECURRING
      required:
        - id
        - type
        - premium
        - chargeType
    PolicyQuoteDto:
      type: object
      properties:
        id:
          type: string
          description: Quote id
        entityId:
          type: string
          description: Entity the quote is for
        provider:
          $ref: '#/components/schemas/QuoteProviderDto'
        basePrice:
          type: integer
        rates:
          type: array
          items:
            $ref: '#/components/schemas/RateDto'
        totalPremium:
          $ref: '#/components/schemas/AmountDto'
        components:
          description: components of the quote
          type: array
          items:
            $ref: '#/components/schemas/QuoteComponentDto'
      required:
        - id
        - entityId
        - provider
        - rates
        - totalPremium
        - components
    StopDto:
      type: object
      properties:
        reason:
          type: string
          description: Stop reason
        details:
          description: Stop details
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDto'
        createdAt:
          type: string
          description: Date and time when the stop was created
      required:
        - reason
    BrokerageFeeOnPolicy:
      type: object
      properties:
        brokerageFirmId:
          type: string
          description: Brokerage firm id
          maximum: 100
          minimum: 0
        fee:
          type: number
          description: Fee
          maximum: 100
          minimum: 0
      required:
        - brokerageFirmId
        - fee
    FormattedSirenDataDto:
      type: object
      properties:
        siren:
          type: string
          description: 'Optional: Siren number'
        siret:
          type: string
          description: Siret number
        nafCode:
          type: string
          description: 'Optional: Naf code'
        nafLabel:
          type: string
          description: 'Optional: Naf label'
        name:
          type: string
          description: 'Optional: Company name'
        creationDate:
          type: string
          description: 'Optional: Creation date'
        location:
          description: 'Optional: Location'
          allOf:
            - $ref: '#/components/schemas/LocationDto'
        legalStatus:
          description: 'Optional: legal status by level'
          allOf:
            - $ref: '#/components/schemas/LegalStatusDto'
        headcount:
          type: string
          description: 'Optional: Number of employees'
      required:
        - siret
    BranchSubType:
      type: string
      enum:
        - CREATE_ADDITIONAL_COMPONENTS
        - DRIVEQUANT
      description: Branch sub type
    DerogationDto:
      type: object
      properties:
        derogationId:
          type: string
          description: Unique identifier for the derogation
        action:
          description: Action for the derogation
          allOf:
            - $ref: '#/components/schemas/DerogationAction'
        status:
          description: Status of the derogation
          allOf:
            - $ref: '#/components/schemas/DerogationStatus'
        createdAt:
          type: string
          description: Derogation creation date
      required:
        - derogationId
        - action
        - status
        - createdAt
    OwnerRoleDto:
      type: object
      properties:
        productId:
          type: string
          description: The ID of the product the role is associated with
        roleId:
          type: string
          description: The ID of the role.
      required:
        - productId
        - roleId
    InvoiceFrequency:
      type: string
      enum:
        - YEARLY
        - HALF_YEARLY
        - QUARTERLY
        - MONTHLY
        - BIENNIAL
        - WEEKLY
    InvoiceTiming:
      type: string
      enum:
        - IN_ADVANCE
        - IN_ARREAR
    BillAtSignatureType:
      type: string
      enum:
        - EARLY_PAYMENT
        - FULL
        - NONE
    QuoteChosenOptionsDto:
      type: object
      properties:
        tier:
          type: string
        excess:
          type: string
        perils:
          type: array
          items:
            $ref: '#/components/schemas/ConfigQuoteChosenWarrantyDto'
      required:
        - tier
        - excess
    QuoteAvailableOptionsDto:
      type: object
      properties:
        tier:
          type: string
        excess:
          type: string
        perils:
          type: array
          items:
            $ref: '#/components/schemas/ConfigQuoteAvailableWarrantyDto'
      required:
        - tier
        - excess
    AmountDto:
      type: object
      properties:
        amountPreFeesAndTaxes:
          type: integer
        fees:
          type: array
          items:
            $ref: '#/components/schemas/FeeDto'
        totalFees:
          type: integer
        amountWithFeesPreTaxes:
          type: integer
        taxes:
          type: array
          items:
            $ref: '#/components/schemas/TaxDto'
        totalTaxes:
          type: integer
        amountWithFeesAndTaxes:
          type: integer
      required:
        - amountPreFeesAndTaxes
        - fees
        - totalFees
        - amountWithFeesPreTaxes
        - taxes
        - totalTaxes
        - amountWithFeesAndTaxes
    QuoteProviderDto:
      type: object
      properties:
        id:
          type: string
        version:
          type: string
      required:
        - id
        - version
    RateDto:
      type: object
      properties:
        id:
          type: string
        rate:
          type: integer
        inputs:
          type: array
          items:
            $ref: '#/components/schemas/RateInputDto'
      required:
        - id
        - rate
        - inputs
    LocationDto:
      type: object
      properties:
        address:
          type: string
          description: Address
        postCode:
          type: string
          description: Post code
        city:
          type: string
          description: City
        country:
          type: string
          description: Country
      required:
        - city
        - country
    LegalStatusDto:
      type: object
      properties:
        '1':
          type: string
          description: First legal status
        '2':
          type: string
          description: Second legal status
        '3':
          type: string
          description: Third legal status
      required:
        - '1'
        - '2'
        - '3'
    DerogationAction:
      type: string
      enum:
        - QUOTE
        - CONFIRM
        - SIGN
    DerogationStatus:
      type: string
      enum:
        - CREATED
        - APPROVED
        - DENIED
      description: Status of the derogation
    ConfigQuoteChosenWarrantyDto:
      type: object
      properties:
        id:
          type: string
        option:
          type: string
        available:
          type: boolean
        unavailabilityMessage:
          type: string
      required:
        - id
    ConfigQuoteAvailableWarrantyDto:
      type: object
      properties:
        id:
          type: string
        required:
          type: boolean
        options:
          type: array
          items:
            type: string
        showWhen:
          oneOf:
            - $ref: '#/components/schemas/ConfigQuoteShowWhenSingleValueDto'
            - $ref: '#/components/schemas/ConfigQuoteShowWhenMultipleValuesDto'
            - $ref: '#/components/schemas/ConfigQuoteShowWhenNoValueDto'
      required:
        - id
    FeeDto:
      type: object
      properties:
        id:
          type: string
        brokerageFirmId:
          type: string
        chargeType:
          type: string
          enum:
            - ONE_TIME
            - SPOT
            - RECURRING
        amount:
          type: integer
      required:
        - id
        - chargeType
        - amount
    TaxDto:
      type: object
      properties:
        id:
          type: string
        chargeType:
          type: string
          enum:
            - ONE_TIME
            - SPOT
            - RECURRING
        amount:
          type: integer
      required:
        - id
        - chargeType
        - amount
    RateInputDto:
      type: object
      properties:
        id:
          type: string
          description: id
        value:
          description: value
          oneOf:
            - type: string
            - type: number
      required:
        - id
        - value
    ConfigQuoteShowWhenSingleValueDto:
      type: object
      properties:
        fieldKey:
          type: string
        fieldValue:
          type: string
        condition:
          type: string
        value:
          type: string
      required:
        - fieldKey
        - fieldValue
        - condition
        - value
    ConfigQuoteShowWhenMultipleValuesDto:
      type: object
      properties:
        fieldKey:
          type: string
        fieldValue:
          type: string
        condition:
          type: string
        values:
          type: array
          items:
            type: string
      required:
        - fieldKey
        - fieldValue
        - condition
        - values
    ConfigQuoteShowWhenNoValueDto:
      type: object
      properties:
        fieldKey:
          type: string
        fieldValue:
          type: string
        condition:
          type: string
      required:
        - fieldKey
        - fieldValue
        - condition

````